System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.BaseDataList System.Web.UI.INamingContainer System.ComponentModel.Designer("System.Web.UI.Design.WebControls.DataGridDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.Editor("System.Web.UI.Design.WebControls.DataGridComponentEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.ComponentModel.ComponentEditor)) To be added To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Editor("System.Web.UI.Design.ImageUrlEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.ComponentModel.DefaultValue("") System.Web.UI.UrlProperty
- Event
  System.Web.UI.WebControls.DataGridCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.DataGridColumnCollection To be added To be added: an object of type 'DataGridColumnCollection' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.MergableProperty(false) System.ComponentModel.Editor("System.Web.UI.Design.WebControls.DataGridColumnCollectionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.ComponentModel.DefaultValue(null)
- Method
  System.Collections.ArrayList `` `` To be added. a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.Style To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.WebControls.DataGridItem `` `` `` To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'ListItemType' To be added To be added: an object of type 'DataGridItem' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.Web.UI.WebControls.DataGridCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Web.UI.WebControls.DataGridCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(-1)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.DefaultValue(null)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content) System.ComponentModel.DefaultValue(null)
- Method
  System.Void `` `` To be added: an object of type 'DataGridItem' To be added: an object of type 'DataGridColumn []' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'DataGridItem' To be added: an object of type 'int' To be added: an object of type 'PagedDataSource' To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Web.UI.WebControls.DataGridCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Web.UI.WebControls.DataGridItemEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Web.UI.WebControls.DataGridItemEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.DataGridItemCollection To be added To be added: an object of type 'DataGridItemCollection' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridCommandEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridCommandEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridCommandEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridCommandEventArgs' This event will be triggered when click is done on one of the elements of the datagrid. This will be triggered NOT ONLY on buttons inside the rows and cols of the datagrid. It will be trigered on pager click or other items...

  You must use e.Item.ItemType to determine the type of the DataGrid item selected. e.Item will return an object of the type

  `if(e.Item.ItemType == ListItemType.Item) { // We have a Item of one row of the dataset ... } else if(e.Item.ItemType == ListItemType.Pager) { // We made click on the pager item of the grid ... }` 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridItemEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridItemEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridPageChangedEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridSortCommandEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'DataGridCommandEventArgs' To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Event
  System.Web.UI.WebControls.DataGridPageChangedEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.WebControls.DataGridPagerStyle To be added To be added: an object of type 'DataGridPagerStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(10)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added a To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(-1) System.ComponentModel.Bindable(true)
- Property
  System.Web.UI.WebControls.DataGridItem To be added To be added: an object of type 'DataGridItem' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)
- Property
  System.Web.UI.WebControls.TableItemStyle To be added To be added: an object of type 'TableItemStyle' To be added 1.0.5000.0 2.0.0.0 System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerProperty) System.ComponentModel.NotifyParentProperty(true) System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Content)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(false)
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(true)
- Event
  System.Web.UI.WebControls.DataGridSortCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Web.UI.HtmlTextWriterTag To be added. To be added. To be added.
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.Web.UI.WebControls.DataGridCommandEventHandler To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.String To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.Browsable(false)